Leads

Delete Lead

Soft delete a lead and related entities, sync deletion to external systems, and emit relevant webhooks. Only leads belonging to the organization associated with the API key can be deleted.

DELETE
/v1/leads/{leadId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for API access.

In: header

Path Parameters

leadId*string

The unique identifier of the lead

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.sophiie.ai/v1/leads/ld_abc123"
{
  "message": "Lead deleted successfully"
}
{
  "success": false,
  "message": "Invalid or expired token",
  "error": {
    "status": 401,
    "message": "Invalid or expired token"
  }
}
{
  "success": false,
  "message": "Not found",
  "error": {
    "status": 404,
    "message": "Not found"
  }
}
{
  "success": false,
  "message": "Internal server error",
  "error": {
    "status": 500,
    "message": "Internal server error"
  }
}